STRUCT MIPI_DSI_DRIV(9)

NAME
struct_mipi_dsi_driver - DSI driver

SYNOPSIS

struct mipi_dsi_driver {
  struct device_driver driver;
  int(* probe) (struct mipi_dsi_device *dsi);
  int(* remove) (struct mipi_dsi_device *dsi);
  void (* shutdown) (struct mipi_dsi_device *dsi);
};

MEMBERS

driver
    device driver model driver

probe
    callback for device binding

remove
    callback for device unbinding

shutdown
    called at shutdown time to quiesce the device

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT